Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.weblogic.helper
Class WebLogicHelperClient

    java.lang.Object
      |
      +--com.beasys.weblogic.helper.WebLogicHelper
            |
            +--com.beasys.weblogic.helper.WebLogicHelperClient

public class WebLogicHelperClient
extends WebLogicHelper

Single point of access to the application server. This should make it easy to swap out servers, and processes.

Field Summary
`protected java.lang.String` | `workspaceId` The unique qorkspace id for this T3 client.

Fields inherited from class com.beasys.weblogic.helper.WebLogicHelper
`cc, CLIENT_SIDE, debug, SERVER_SIDE, serverUrl, t3Services`

Constructor Summary
`protected` | `WebLogicHelperClient()` Default constructor.

Method Summary
`void` | `finalize()` Default constructor.
`protected weblogic.common.T3ServicesDef` | `getT3Services()` Implemented to get the services for a client.
`void` | `setupConnection()` creates a T3Client connection to the Tengah server, creates a jndi context to lookup the TRVClientServices object, and creates a TRVClient

Methods inherited from class com.beasys.weblogic.helper.WebLogicHelper
`getBuild, getConnection, getEvents, getInstance, getNewId, getProperties, getService, getTime, getWebLogicProperty, getWebLogicProperty, init, log, log, log, setStartupMode`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workspaceId

    protected java.lang.String workspaceId

  The unique qorkspace id for this T3 client. NOTE: not currently used.

Constructor Detail

### WebLogicHelperClient

    protected WebLogicHelperClient()

  Default constructor.

Method Detail

### finalize

    public void finalize()
                  throws java.lang.Throwable

  Default constructor.
  Overrides:
    finalize in class WebLogicHelper

### getT3Services

    protected weblogic.common.T3ServicesDef getT3Services()

  Implemented to get the services for a client.
  Overrides:
    getT3Services in class WebLogicHelper
  Returns:
    T3ServicesDef the weblogic server services.

### setupConnection

    public void setupConnection()
                         throws ToolkitException

  creates a T3Client connection to the Tengah server, creates a jndi context to lookup the TRVClientServices object, and creates a TRVClient
  Overrides:
    setupConnection in class WebLogicHelper
  Throws:
    ToolkitException - holder for any exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved